Subject: Re: Insurance
From: "Michael B" <[email-masked]>
To: "Angela Edstrom" <[email-masked]>
Date: Thu, 9 Oct 2014 10:43:27 -0400

Hey Ang.
Did you happen to get a chance to check on this for me?  LMK
Thank you,
Michael B
LLPS

From: Angela Edstrom 
Sent: Monday, September 22, 2014 7:25 PM
To: Michael B 
Subject: Re: Insurance

Yes, I can look into that for you!

Sent from my iPhone

On Sep 22, 2014, at 5:16 PM, Michael B <[email-masked]> wrote:

  Hello Angela.
  I got an email from Sue at Lebuda-Totte Insurance.  She wanted to change my coverage from full medical coverage to show that I already have a primary health provider.  She asked me for some kind of a letter that would be maybe proof of that.  Is that something you could get for me?  Let me know.
  Thank you,
  Michael B
  LLPS